
class ChapterNavigation {

	constructor() {
	}

	static function ID();
	static function LoadChapter(main_instance);
}

/*static*/ function ChapterNavigation::ID()
{
	return "navigation";
}

/*static*/ function ChapterNavigation::LoadChapter(main_instance)
{
	main_instance.AddStep(MessageWindowStep(GSText(GSText.STR_NAVIGATION_1_1_1), WAIT));

	main_instance.AddStep(GUIHighlightStep(GSWindow.WC_MAIN_TOOLBAR, 0, GSWindow.WID_TN_ZOOM_IN, NO_WAIT));
	main_instance.AddStep(GUIHighlightStep(GSWindow.WC_MAIN_TOOLBAR, 0, GSWindow.WID_TN_ZOOM_OUT, NO_WAIT));
	main_instance.AddStep(MessageWindowStep(GSText(GSText.STR_NAVIGATION_1_2_1), WAIT));
	main_instance.AddStep(CodeStep( function(table) {
		// Disable highlight (in case user didn't click on zoom in/out
		GSWindow.Highlight(GSWindow.WC_MAIN_TOOLBAR, 0, GSWindow.WIDGET_ALL, GSWindow.TC_INVALID);
	}));

	main_instance.AddStep(MessageWindowStep(GSText(GSText.STR_NAVIGATION_1_3_1), NO_WAIT));
	main_instance.AddStep(GUIHighlightStep(GSWindow.WC_MAIN_TOOLBAR, 0, GSWindow.WID_TN_SMALL_MAP, WAIT));
	main_instance.AddStep(MessageWindowStep(GSText(GSText.STR_NAVIGATION_1_3_2), WAIT));

	main_instance.AddStep(MessageWindowStep(GSText(GSText.STR_NAVIGATION_1_4_1), WAIT));
}
