
/*
 * Instead of sending a GSText instance, story chapters use this class. As variable parameters,
 * you can not just pass literal strings, but also TableKey instances.
 */
class T 
{
	_string_id = null;
	_param_list = null;

	constructor(string_id, ...)
	{
		this._string_id = string_id;

		// Read the variable parameters
		if(vargc > 0)
		{
			this._param_list = [];
			for(local c = 0; c < vargc; c++) {
				this._param_list.append(vargv[c]);
			}
		}
	}

	function Evaluate(tutorial_step);
}

function T::Evaluate(storage)
{
	local gs_text = GSText(this._string_id);

	// Set GSText parameters if any additional parameters was passed to the constructor of this class
	if(this._param_list != null)
	{
		foreach(param in _param_list)
		{
			this._message.AddParam(EvaluateParam(param, storage));
		}
	}
	
}
